List Asset Transactions
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": {
"data": [
{
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"short_order_id": "<string>",
"balance_id": "<string>",
"order_type": "Withdraw",
"sell_currency": "<string>",
"sell_amount": "<string>",
"network_fee": "<string>",
"processing_fee": "<string>",
"order_status": "Submit Failed",
"create_time": "<string>",
"buy_currency": "<string>",
"buy_amount": "<string>",
"complete_time": "<string>"
}
],
"total_pages": 123,
"total_items": 123
}
}Assets
List Asset Transactions
Query transactions for all wallets. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
asset
/
transactions
List Asset Transactions
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Items per page (10 to 100, default 10)
Required range:
10 <= x <= 100Page number (≥ 1, default 1)
Required range:
x >= 1Exclusive start time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-01T00:00:00+08:00"
Exclusive end time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-02T00:00:00+08:00"
Wallet currency to query
Order type to query
Available options:
DEPOSIT, WITHDRAW, SELL, BUY, SWAP, TRANSFER_IN, TRANSFER_OUT Order status to query
Available options:
SUBMIT_FAILED, FAILED, PENDING, SUCCESS, SUBMITTED Query by order_id or short_order_id

